from ui.qt4.controllers import Dialog
from ui.qt4.views import View

class ChordSelectionView(View):
    def __init__(self, controller):
        from PySide.QtGui import QPushButton, QSizePolicy
        from PySide.QtGui import QHBoxLayout, QSpacerItem
        from ui.qt4.widgets.chord_chooser import ChordChooser
        super(ChordSelectionView, self).__init__(controller)
        self.chord_chooser = ChordChooser()
        self.ok_btn = QPushButton()
        self.ok_btn.setText(u'Ok')

        self.main_layout = QHBoxLayout(self)
        self.main_layout.addWidget(self.chord_chooser)
        self.main_layout.addWidget(self.ok_btn)


class ChordSelectionDialog(Dialog):
    view_class = ChordSelectionView

    def __init__(self, app, *args, **kwargs):
        super(ChordSelectionDialog, self).__init__(app, *args)
        self.setWindowTitle(u'Select Chord')
        self.view = self.view_class(self)
        self.render(self.view)
        self.connect_signals()

    def connect_signals(self):
        from PySide.QtCore import QObject, SIGNAL
        QObject.connect(self.view.ok_btn,
                SIGNAL('clicked()'), self.accept)

