from ui.qt4.controllers import Dialog
from ui.qt4.views import View

class FretboardSelectionView(View):
    def __init__(self, controller):
        from PySide.QtGui import QPushButton, QSizePolicy
        from PySide.QtGui import QHBoxLayout, QSpacerItem
        from ui.qt4.widgets.fretboard_chooser import FretboardChooser
        super(FretboardSelectionView, self).__init__(controller)
        self.fretboard_chooser = FretboardChooser()
        self.ok_btn = QPushButton()
        self.ok_btn.setText(u'Ok')

        self.main_layout = QHBoxLayout(self)
        self.main_layout.addWidget(self.fretboard_chooser)
        self.main_layout.addWidget(self.ok_btn)


class FretboardSelectionDialog(Dialog):
    view_class = FretboardSelectionView

    def __init__(self, app, *args, **kwargs):
        super(FretboardSelectionDialog, self).__init__(app, *args)
        self.setWindowTitle(u'Select Instrument/Tuning')
        self.view = self.view_class(self)
        self.render(self.view)
        self.connect_signals()

    def connect_signals(self):
        from PySide.QtCore import QObject, SIGNAL
        QObject.connect(self.view.ok_btn,
                SIGNAL('clicked()'), self.accept)

