from ui.qt4.views.fretboard import FretboardView

class MaemoFretboardView(FretboardView):
    def init_layout(self):  
        from PySide.QtGui import QVBoxLayout, QHBoxLayout, QTabWidget
        from PySide.QtGui import QSizePolicy, QSpacerItem, QFrame
        from PySide.QtGui import QScrollArea
        from PySide.QtGui import QPalette, QFont
        from PySide.QtMaemo5 import QMaemo5KineticScroller
        from PySide.QtCore import QVariant
        self.main_layout = QVBoxLayout(self)
        self.draw_tab_widget = QTabWidget()
        self.display_tab_widget = QTabWidget()

        self.selector_pane.setSizePolicy(QSizePolicy(
                    QSizePolicy.Expanding, QSizePolicy.Expanding))

        self.selector_layout = QHBoxLayout(self.selector_pane)
        self.display_history_layout = QVBoxLayout(self.display_history_tab)
        self.display_history_btn_layout = QHBoxLayout()

        #self.fretboard_draw_layout.addLayout(self.fretboard_draw_btn_layout)

        #self.information_layout.addWidget(self.display_information_txt)
        #self.information_layout.addWidget(self.display_information_interval_list)

        self.display_history_layout.addWidget(self.display_history_lst)
        self.display_history_layout.addLayout(self.display_history_btn_layout)
        self.display_history_btn_layout.addWidget(self.display_history_remove_btn)
        self.display_history_btn_layout.addWidget(self.display_history_clear_btn)


        self.main_layout.addWidget(self.selector_pane)
        self.draw_tab_widget.addTab(self.fretboard_display, u'Fretboard Diagram')
        self.display_information_interval_list.setProperty('FingerScrollable', QVariant(True))
        self.display_information_scroller = QMaemo5KineticScroller(self.display_information_interval_list)
        self.draw_tab_widget.addTab(self.display_information_interval_list, u'Notes and Intervals')
        self.draw_tab_widget.addTab(self.display_history_tab, u'Recently Viewed')
        self.display_information_interval_list.should_display_title = False

        font = QFont(self.fretboard_display.font())
        font.setPixelSize(20)
        font.setBold(True)
        self.fretboard_display.setFont(font)

        self.selector_layout.addWidget(self.draw_tab_widget)

