import logging

class Controller(object):
    def __init__(self, app):
        self.app = app
        self.view = None

    def render(self, view):
        self.view = view
        self.view.show()

from PySide.QtGui import QMainWindow
class MainWindow(QMainWindow, Controller):
    def __init__(self, app, parent=None, **kwargs):
        super(MainWindow, self).__init__(parent)
        Controller.__init__(self, app)

    def render(self, view):
        if hasattr(self.view, 'close'):
            self.view.close()
        del(self.view)
        self.setCentralWidget(view)
        self.view = view
        super(MainWindow, self).render(view) 

from PySide.QtGui import QDialog
class Dialog(QDialog, Controller):
    def __init__(self, app, parent=None, **kwargs):
        from PySide.QtGui import QVBoxLayout
        super(Dialog, self).__init__(parent)
        Controller.__init__(self, app)
        self.main_layout = QVBoxLayout(self)

    def render(self, view):
        if self.view:
            self.main_layout.removeWidget(self.view)
        self.main_layout.addWidget(view)
        self.main_layout.setMargin(0)
        super(Dialog, self).render(view)
        self.show()
