import logging

from ui.qt4.views import View
class ChordTypeEditView(View):
    def __init__(self, controller):
        from PySide.QtGui import QLabel, QHBoxLayout, QVBoxLayout, QSizePolicy
        from PySide.QtGui import QPushButton
        from ui.qt4.widgets.chord_type_chooser import ChordTypeChooser
        from ui.qt4.widgets.interval_chooser import IntervalChooser
        from ui.qt4.widgets.chord_type_editor import ChordTypeEditor
        super(ChordTypeEditView, self).__init__(controller)

        self.chord_type_lbl = QLabel()
        self.chord_type_lbl.setText(u'Chord Type: ')

        self.chord_type_chooser = ChordTypeChooser()
        self.chord_type_chooser.setSizePolicy(QSizePolicy(
                    QSizePolicy.Expanding, QSizePolicy.Minimum))

        self.chord_type_editor = ChordTypeEditor(self)

        self.save_btn = QPushButton()
        self.save_btn.setText(u'Save Chord Formula')

        self.main_layout = QVBoxLayout(self)
        self.chord_type_layout = QHBoxLayout()

        self.main_layout.addLayout(self.chord_type_layout)
        self.chord_type_layout.addWidget(self.chord_type_lbl)
        self.chord_type_layout.addWidget(self.chord_type_chooser)

        self.main_layout.addWidget(self.chord_type_editor)
        self.main_layout.addWidget(self.save_btn)

