import logging

from ui.qt4.views import View
class FretboardEditView(View):
    def __init__(self, controller):
        from PySide.QtGui import QLabel, QHBoxLayout, QVBoxLayout, QSizePolicy
        from PySide.QtGui import QPushButton
        from ui.qt4.widgets.fretboard_chooser import FretboardChooser
        from ui.qt4.widgets.fretboard_editor import FretboardEditor
        super(FretboardEditView, self).__init__(controller)

        self.fretboard_lbl = QLabel()
        self.fretboard_lbl.setText(u'Instrument/Tuning: ')

        self.fretboard_chooser = FretboardChooser()
        self.fretboard_chooser.setSizePolicy(QSizePolicy(
                    QSizePolicy.Expanding, QSizePolicy.Minimum))


        self.fretboard_editor = FretboardEditor(self)

        self.save_btn = QPushButton()
        self.save_btn.setText(u'Save Instrument/Tuning')

        self.main_layout = QVBoxLayout(self)
        self.fretboard_layout = QHBoxLayout()

        self.main_layout.addLayout(self.fretboard_layout)
        self.fretboard_layout.addWidget(self.fretboard_lbl)
        self.fretboard_layout.addWidget(self.fretboard_chooser)
        
        self.main_layout.addWidget(self.fretboard_editor)
        self.main_layout.addWidget(self.save_btn)
