import logging

from ui.qt4.views import View
class ScaleTypeEditView(View):
    def __init__(self, controller):
        from PySide.QtGui import QLabel, QHBoxLayout, QVBoxLayout, QSizePolicy
        from PySide.QtGui import QPushButton
        from ui.qt4.widgets.scale_type_chooser import ScaleTypeChooser
        from ui.qt4.widgets.interval_chooser import IntervalChooser
        from ui.qt4.widgets.scale_type_editor import ScaleTypeEditor
        super(ScaleTypeEditView, self).__init__(controller)

        self.scale_type_lbl = QLabel()
        self.scale_type_lbl.setText(u'Scale Type: ')

        self.scale_type_chooser = ScaleTypeChooser()
        self.scale_type_chooser.setSizePolicy(QSizePolicy(
                    QSizePolicy.Expanding, QSizePolicy.Minimum))

        self.scale_type_editor = ScaleTypeEditor(self)

        self.save_btn = QPushButton()
        self.save_btn.setText(u'Save Scale Formula')

        self.main_layout = QVBoxLayout(self)
        self.scale_type_layout = QHBoxLayout()

        self.main_layout.addLayout(self.scale_type_layout)
        self.scale_type_layout.addWidget(self.scale_type_lbl)
        self.scale_type_layout.addWidget(self.scale_type_chooser)

        self.main_layout.addWidget(self.scale_type_editor)
        self.main_layout.addWidget(self.save_btn)
