import logging

from PySide.QtGui import QComboBox
class ChordTypeChooser(QComboBox):
    def __init__(self, *args, **kwargs):
        super(ChordTypeChooser, self).__init__(*args)
        self.chord_type_list = []
        self.init_choices()

    def init_choices(self):
        from music_theory.chord import TYPES
        cur_chord_type = self.chord_type
        self.chord_type_list = list(TYPES)
        while self.count():
            self.removeItem(0)
        for chord_type in self.chord_type_list:
            self.addItem(unicode(chord_type))
        self.chord_type = cur_chord_type

    def get_chord_type(self):
        index = self.currentIndex()
        if index >= 0 and index < len(self.chord_type_list):
            return self.chord_type_list[index]

    def set_chord_type(self, new_chord_type):
        if not new_chord_type:
            return
        try:
            index = self.chord_type_list.index(new_chord_type)
            self.setCurrentIndex(index)
        except:
            pass
        return self.chord_type
    chord_type = property(get_chord_type, set_chord_type)

