import logging

from PySide.QtGui import QComboBox
class FretboardChooser(QComboBox):
    def __init__(self, *args, **kwargs):
        super(FretboardChooser, self).__init__(*args)
        self.fretboard_list = []
        self.init_choices()

    def init_choices(self):
        from music_theory.fretboard import FRETBOARDS
        cur_fretboard = self.fretboard
        self.fretboard_list = list(FRETBOARDS)
        while self.count():
            self.removeItem(0)
        for fretboard in self.fretboard_list:
            self.addItem(unicode(fretboard))
        self.fretboard = cur_fretboard

    def get_fretboard(self):
        index = self.currentIndex()
        if index >= 0 and index < len(self.fretboard_list):
            return self.fretboard_list[index]

    def set_fretboard(self, new_fretboard):
        if not new_fretboard:
            return
        try:
            index = self.fretboard_list.index(new_fretboard)
            self.setCurrentIndex(index)
        except:
            pass
        return self.fretboard
    fretboard = property(get_fretboard, set_fretboard)

