import logging
from music_theory.fretboard import STANDARD_GUITAR 

from PySide.QtGui import QTextEdit
from PySide.QtGui import QLabel
class FretboardDisplay(QLabel):
    def __init__(self, fretboard=STANDARD_GUITAR, *args):
        from PySide.QtGui import QFont, QPalette, QTextOption, QSizePolicy
        from PySide.QtCore import Qt

        super(FretboardDisplay, self).__init__(*args)
        #self.setReadOnly(True)
        self.setSizePolicy(QSizePolicy(QSizePolicy.Fixed, QSizePolicy.Fixed))
        font = QFont(self.font())
        font.setFixedPitch(True)
        font.setFamily('Monospace')
        font.setPixelSize(12)
        self.setFont(font)
        self.setWordWrap(False)
        #self.setHorizontalScrollBarPolicy(Qt.ScrollBarAlwaysOff)
        #self.setVerticalScrollBarPolicy(Qt.ScrollBarAlwaysOff)
        self.fretboard = fretboard
        self.refresh()
        self.resize(self.sizeHint())

    def set_pixel_font_size(self, pixel_size):
        from PySide.QtGui import QFont
        font = QFont(self.font())
        font.setPixelSize(pixel_size)
        return self.setFont(font)

    def zoom_in(self, **kwargs):
        self.set_pixel_font_size(self.font().pixelSize() + 1)

    def zoom_out(self, **kwargs):
        self.set_pixel_font_size(self.font().pixelSize() - 1)

    def refresh(self):
        if self.fretboard:
            self.setText(u'<pre>%s</pre>' % self.fretboard.ascii_diagram)
            self.resize(self.sizeHint())
            self.updateGeometry()

    """        
    def sizeHint(self):
        from PySide.QtCore import QSize
        return QSize(int(self.document().idealWidth()), int(self.document().size().height()))

    def heightForWidth(width):
        return ).size().height())
    """

