import logging

from PySide.QtGui import QComboBox
class IntervalChooser(QComboBox):
    def __init__(self, *args, **kwargs):
        super(IntervalChooser, self).__init__(*args)
        self.interval_list = []
        self.init_choices()

    def init_choices(self):
        from music_theory.interval import INTERVALS
        cur_interval = self.interval
        self.interval_list = list(INTERVALS)
        while self.count():
            self.removeItem(0)
        for interval in self.interval_list:
            self.addItem(unicode(interval)) 
        self.interval = cur_interval

    def get_interval(self):
        index = self.currentIndex()
        if index >= 0 and index < len(self.interval_list):
            return self.interval_list[index]

    def set_interval(self, new_interval):
        if not new_interval:
            return
        try:
            index = self.interval_list.index(new_interval)
            self.setCurrentIndex(index)
        except:
            pass
        return self.interval
    interval = property(get_interval, set_interval)
