from PySide.QtGui import QListWidgetItem
class IntervalListNoteListItem(QListWidgetItem):
    def __init__(self, interval_list_note, parent):
        self.interval_list_note = interval_list_note
        super(IntervalListNoteListItem, self).__init__(
                interval_list_note.description, parent)

from PySide.QtGui import QListWidget
class IntervalListInfo(QListWidget):
    def __init__(self, *args, **kwargs):
        self._interval_list = None
        self.title_item = None
        self.should_display_title = True
        super(IntervalListInfo, self).__init__(*args)
        self.setSelectionMode(QListWidget.NoSelection)

    def get_interval_list(self):
        return self._interval_list

    def set_interval_list(self, new_interval_list):
        if (new_interval_list != self.interval_list):
            from PySide.QtGui import QFont
            from PySide.QtCore import Qt
            self._interval_list = new_interval_list
            self.clear()
            
            if self.should_display_title:
                self.title_item = QListWidgetItem(unicode(self.interval_list))
                title_font = QFont(self.title_item.font())
                title_font.setBold(True)
                title_font.setPointSize(title_font.pointSize() + 2)
                self.title_item.setFont(title_font)
                self.title_item.setTextAlignment(Qt.AlignCenter)
                self.addItem(self.title_item)

            for note in self.interval_list.note_list:
                item = IntervalListNoteListItem(note, self)
                self.addItem(item)
        return self.interval_list
    interval_list = property(get_interval_list, set_interval_list)

