import logging

from PySide.QtGui import QComboBox
class KeyChooser(QComboBox):
    def __init__(self, *args, **kwargs):
        super(KeyChooser, self).__init__(*args)
        self.key_list = []
        self.init_choices()

    def init_choices(self):
        from music_theory.note import NOTES
        cur_key = self.key
        self.key_list = list(NOTES)

        while self.count():
            self.removeItem(0)
        for key in self.key_list:
            self.addItem(unicode(key))
        self.key = cur_key

    def get_key(self):
        index = self.currentIndex()
        if index >= 0 and index < len(self.key_list):
            return self.key_list[index]

    def set_key(self, new_key):
        if not new_key:
            return
        try:
            index = self.key_list.index(new_key)
            self.setCurrentIndex(index)
        except:
            pass
        return self.key
    key = property(get_key, set_key)

