import logging

from PySide.QtGui import QComboBox
class ScaleTypeChooser(QComboBox):
    def __init__(self, *args, **kwargs):
        super(ScaleTypeChooser, self).__init__(*args)
        self.scale_type_list = []
        self.init_choices()

    def init_choices(self):
        from music_theory.scale import TYPES
        cur_scale_type = self.scale_type
        self.scale_type_list = list(TYPES)
        while self.count():
            self.removeItem(0)
        for scale_type in self.scale_type_list:
            self.addItem(unicode(scale_type))
        self.scale_type = cur_scale_type

    def get_scale_type(self):
        index = self.currentIndex()
        if index >= 0 and index < len(self.scale_type_list):
            return self.scale_type_list[index]

    def set_scale_type(self, new_scale_type):
        if not new_scale_type:
            return
        try:
            index = self.scale_type_list.index(new_scale_type)
            self.setCurrentIndex(index)
        except:
            pass
        return self.scale_type
    scale_type = property(get_scale_type, set_scale_type)


